import { IDeviceController } from './types/espruino-tool-types';
export declare class DeviceController implements IDeviceController {
    connected: boolean;
    UART: any;
    deviceType: string | undefined;
    constructor();
    dump(): Promise<string>;
    getDeviceType(): Promise<string>;
    getBattery(): Promise<number>;
    getTemperature(): Promise<number>;
    eval<T>(code: string): Promise<T>;
    write(code: string): Promise<void>;
    connect(callback: Function): Promise<void>;
    disconnect(callback: Function): Promise<void>;
    reset(): void;
    upload(url: string, flash?: boolean): Promise<void>;
}
